Runs asset discovery. The discovery is tracked with a long-running operation.
This API can only be called with limited frequency for an organization. If it is called too frequently the caller will receive a TOO_MANY_REQUESTS error.
IAM Permissions
Requires the following IAM permission on the resource specified in the parent field:
securitycenter.assets.runDiscovery
HTTP request
POST https://securitycenter.googleapis.com/v1/{parent=organizations/*}/assets:runDiscovery The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. Name of the organization to run asset discovery for. Its format is |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/securitycenter
For more information, see the Authentication Overview.